Subject: Text "attributes"

From: David Shaw <[email-masked]>
Date: Wed, 23 Jul 2003 10:05:29 -0400

An interesting problem came up on one of the GnuPG mailing lists a
little while ago, and I thought I'd mention it here.

A vision-impaired user was using GnuPG via a text reader and mentioned
that photo IDs were obviously not going to be that useful to him.  The
idea came up of using an additional attribute subpacket to include a
textual user ID together with the photo attribute subpacket (both
inside a single attribute ID), rather like the HTML "alt" tag is used
to provide a text string for when an image can not be displayed.

It would be easy enough to do: just define attribute subpacket 2 as a
UTF8 string type.  Implementations could handle it however they chose.

Note that I'm not necessarily suggesting this for 2440bis.  Just
something to think about in the future.

David